Skip to main content
`Ctrl`+`K`

# DMSetRefineLevel

Sets the number of refinements that have generated this `DM`.

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetRefineLevel(DM dm, PetscInt level)

Not Collective

## Input Parameters

- dm - the `DM` object

- level - number of refinements

## Notes

This value is used by `PCMG` to determine how many multigrid levels to use

The values are usually set automatically by the process that is causing the refinements of an initial `DM` by calling this routine.

## See Also

DM Basics, `DM`, `DMGetRefineLevel()`, `DMCoarsen()`, `DMGetCoarsenLevel()`, `DMDestroy()`, `DMView()`, `DMCreateGlobalVector()`, `DMCreateInterpolation()`

## Level

advanced

## Location

src/dm/interface/dm.c

## Examples

src/ts/tutorials/ex30.c
src/ksp/ksp/tutorials/ex65.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages